Package org.eclipse.mat.util

# Class SilentProgressListener

java.lang.Object
org.eclipse.mat.util.SilentProgressListener

All Implemented Interfaces:
  `IProgressListener`

public class SilentProgressListener extends Object implements IProgressListener
A progress listener that does very little, but passes on the essentials to the delegate.

Since:
  0.8

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.util.IProgressListener

`IProgressListener.OperationCanceledException, IProgressListener.Severity`

## Field Summary

### Fields inherited from interface org.eclipse.mat.util.IProgressListener

`UNKNOWN_TOTAL_WORK`

## Constructor Summary

Constructors
Constructor
Description
`SilentProgressListener(IProgressListener delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`beginTask(String name, int totalWork)`
Notifies that the main task is beginning.
`void`
`done()`
Notifies that the work is done; that is, either the main task is completed or the user canceled it.
`boolean`
`isCanceled()`
Returns whether cancelation of current operation has been requested.
`void`
`sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)`
Sends a message to the user.
`void`
`setCanceled(boolean value)`
Sets the cancel state to the given value.
`void`
`subTask(String name)`
Notifies that a subtask of the main task is beginning.
`void`
`worked(int work)`
Notifies that a given number of work unit of the main task has been completed.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SilentProgressListener

public SilentProgressListener(IProgressListener delegate)

## Method Details

### beginTask

public void beginTask(String name, int totalWork)
Description copied from interface: `IProgressListener`
Notifies that the main task is beginning. This must only be called once on a given progress monitor instance.

Specified by:
  `beginTask` in interface `IProgressListener`
Parameters:
  `name` - the name (or description) of the main task
  `totalWork` - the total number of work units into which the main task is been subdivided. If the value is `UNKNOWN` the implementation is free to indicate progress in a way which doesn't require the total number of work units in advance.

### done

public void done()
Description copied from interface: `IProgressListener`
Notifies that the work is done; that is, either the main task is completed or the user canceled it. This method may be called more than once (implementations should be prepared to handle this case).

Specified by:
  `done` in interface `IProgressListener`

### isCanceled

public boolean isCanceled()
Description copied from interface: `IProgressListener`
Returns whether cancelation of current operation has been requested. Long-running operations should poll to see if cancelation has been requested.

Specified by:
  `isCanceled` in interface `IProgressListener`
Returns:
  `true` if cancellation has been requested, and `false` otherwise
See Also:
  - `IProgressListener.setCanceled(boolean)`

### sendUserMessage

public void sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)
Description copied from interface: `IProgressListener`
Sends a message to the user.

Specified by:
  `sendUserMessage` in interface `IProgressListener`
Parameters:
  `severity` - Severity as defined in `IProgressListener.Severity`
  `message` - The message localized to the current locale.
  `exception` - The relevant low-level exception, or `null` if none.

### setCanceled

public void setCanceled(boolean value)
Description copied from interface: `IProgressListener`
Sets the cancel state to the given value.

Specified by:
  `setCanceled` in interface `IProgressListener`
Parameters:
  `value` - `true` indicates that cancelation has been requested (but not necessarily acknowledged); `false` clears this flag
See Also:
  - `IProgressListener.isCanceled()`

### subTask

public void subTask(String name)
Description copied from interface: `IProgressListener`
Notifies that a subtask of the main task is beginning. Subtasks are optional; the main task might not have subtasks.

Specified by:
  `subTask` in interface `IProgressListener`
Parameters:
  `name` - the name (or description) of the subtask

### worked

public void worked(int work)
Description copied from interface: `IProgressListener`
Notifies that a given number of work unit of the main task has been completed. Note that this amount represents an installment, as opposed to a cumulative amount of work done to date.

Specified by:
  `worked` in interface `IProgressListener`
Parameters:
  `work` - the number of work units just completed